## grub2 2.02~beta2

=== debian/changelog ===
grub2 (2.02~beta2-36ubuntu3) xenial; urgency=medium

  * No-change rebuild to correctly build our unicode font against libfreetype6.
    (LP: #1559933)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 15 Apr 2016 17:21:17 -0400

grub2 (2.02~beta2-36ubuntu2) xenial; urgency=medium

  * debian/postinst.in: (LP: #1558438)
    - fix quoting variables for setup_mok_validation() to account for passwords
      that might have special characters.
    - use printf rather than straight echo to pass values to mokutil.
    - ask the user to confirm password; not just write it once, this will avoid
      issues with typos in the Secure Boot keys.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 18 Mar 2016 21:35:50 -0400

grub2 (2.02~beta2-36ubuntu1) xenial; urgency=medium

  [ Debconf translations ]
  * [ja] Japanese (Takuma Yamada; closes: #815203, #817084).

  [ Mathieu Trudel-Lapierre ]
  * debian/postinst.in: add MOK validation support; so that it's possible on
    upgrade to disable validation in shim if the user has dkms packages
    installed.
  * debian/control: add mokutil to grub-efi-$arch packages to deal with
    toggling MOK validation.

  [ dann frazier ]
  * Cherry-pick fix for slow timer events on ARM/UEFI (LP: #1553390).

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 15 Mar 2016 12:57:08 -0400

grub2 (2.02~beta2-36) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-Git URL.
  * Add zfs, zfscrypt, and zfsinfo to signed EFI images (LP: #1542358).

  [ Martin Pitt ]
  * debian/postinst.in, debian/kernel/zz-update-grub: Call
    systemd-detect-virt (which works under any init system, despite the
    name) instead of the Ubuntu specific running-in-container wrapper.
    (LP: #1539016)

 -- Colin Watson <cjwatson@debian.org>  Fri, 05 Feb 2016 15:41:05 +0000

grub2 (2.02~beta2-35) unstable; urgency=medium

  * Apply the arm64 -mpc-relative-literal-loads workaround in configure
    rather than in debian/rules, to cope with toolchains that don't have the
    relevant patch applied.

 -- Colin Watson <cjwatson@debian.org>  Fri, 22 Jan 2016 11:02:10 +0000

grub2 (2.02~beta2-34) unstable; urgency=medium

  [ Colin Watson ]
  * Remove duplicate Replaces on grub-ieee1275 (<< 2.00-4) from
    grub2-common.
  * Refer to /usr/share/common-licenses/GPL-3 rather than
    /usr/share/common-licenses/GPL.
  * Cherry-pick upstream patches to add more ACPI opcodes to acpihalt
    (closes: #766853, LP: #1530648).
  * Drop build-dependency on libusb-dev, since it was currently unused in
    any case; also explicitly configure with --disable-grub-emu-usb to avoid
    possible future ambiguity (closes: #810421).
  * Use dpkg-maintscript-helper to convert directories to symlinks in
    various upgrade cases, in place of hand-coded equivalents.
  * Change versioned Conflicts from grub-common and grub2-common into Breaks
    or Breaks+Replaces as appropriate.
  * Remove pragmas related to -Wunreachable-code (closes: #812047).
  * Temporarily work around arm64 build failure with gcc-5 >= 5.3.1-4 using
    -mpc-relative-literal-loads.
  * Backport various ZFS improvements from trunk (closes: #706415, #772797;
    LP: #1451476, #1530457).

  [ Didier Roche ]
  * Use new plymouth theme path to set grub theme configuration.

 -- Colin Watson <cjwatson@debian.org>  Fri, 22 Jan 2016 10:03:00 +0000

grub2 (2.02~beta2-33) unstable; urgency=high

  [ Mathieu Trudel-Lapierre ]
  * Cherry-picks to better handle TFTP timeouts on some arches: (LP: #1521612)
    - (7b386b7) efidisk: move device path helpers in core for efinet
    - (c52ae40) efinet: skip virtual IP devices when enumerating cards
    - (f348aee) efinet: enable hardware filters when opening interface

  [ Lee Trager ]
  * Add raid5rec and raid6rec to signed EFI images (closes: #807385).

  [ Colin Watson ]
  * CVE-2015-8370: Fix authentication bypass via backspace integer underflow
    (closes: #808122).

 -- Colin Watson <cjwatson@debian.org>  Wed, 16 Dec 2015 09:46:22 +0000

grub2 (2.02~beta2-32) unstable; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Cherry-pick patch to add SAS disks to the device list from the ofdisk
    module. (LP: #1517586)

  [ dann frazier ]
  * Cherry-pick patch to open Simple Network Protocol exclusively.
    (LP: #1508893)

  [ Linn Crosetto ]
  * Install arm64 signed images if UEFI Secure Boot is enabled (closes:
    #806178).

 -- Colin Watson <cjwatson@debian.org>  Wed, 25 Nov 2015 16:07:21 +0000

grub2 (2.02~beta2-31) unstable; urgency=medium

  * Cherry-pick upstream patch to fix XFS alignment treatment.
  * Cherry-pick upstream patch to fix XFS handling of symlink with
    crc-enabled filesystem.

 -- Colin Watson <cjwatson@debian.org>  Thu, 05 Nov 2015 15:08:03 +0000

grub2 (2.02~beta2-30) unstable; urgency=medium

  [ dann frazier ]
  * arm64/setjmp: Add missing license macro. (LP: #1459871)

  [ Colin Watson ]
  * Cherry-pick upstream patches for XFS v5 support (closes: #772565).

 -- Colin Watson <cjwatson@debian.org>  Thu, 05 Nov 2015 12:30:27 +0000

grub2 (2.02~beta2-29) unstable; urgency=medium

  [ Linn Crosetto ]
  * Clean up docs, mpi, and other files (closes: #798607).

  [ dann frazier ]
  * progress: avoid NULL dereference for net files. (LP: #1459872)

 -- Colin Watson <cjwatson@debian.org>  Tue, 13 Oct 2015 23:36:46 +0100

grub2 (2.02~beta2-28) unstable; urgency=medium

  * Reduce the CFLAGS -O3 default on Ubuntu ppc64el to -O2; it introduces
    various -Werror failures and isn't worth it here.

 -- Colin Watson <cjwatson@debian.org>  Sun, 06 Sep 2015 01:25:56 +0100

grub2 (2.02~beta2-27) unstable; urgency=medium

  [ Felix Zielcke ]
  * Remove Robert Millan from Uploaders with his permission. Thanks for
    all the work he did for GRUB 2!
  * Stop forcing gcc-4.9 for building.
  * Update to Policy 3.9.6.
  * Update the Browser URL for our git repository.
  * Use dpkg-buildflags at least for the host binaries.
  * Simplify Build-Depends.

  [ Colin Watson ]

