=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.sig/ \
ftp://ftp.gnu.org/gnu/grub/grub-([a-z0-9.~]+).tar.xz debian uupdate

opts=pgpsigurlmangle=s/$/.sig/ \
ftp://alpha.gnu.org/gnu/grub/grub-([a-z0-9.~]+).tar.xz debian uupdate
