## grub2 2.02~beta2-36ubuntu3.9+linuxmint1

=== debian/changelog ===
grub2 (2.02~beta2-36ubuntu3.9+linuxmint1) xenial; urgency=medium

  * debian/patches/install_signed.patch: update to use the new names for the
    shim binary (shim$arch), MokManager (mm$arch) and add fallback (fb$arch).
    (LP: #1637290)
  * debian/control: Breaks shim (<< 0.9+1474479173.6c180c6-0ubuntu1~) for the
    renamed EFI binaries.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 08 Nov 2016 14:42:24 -0500

grub2 (2.02~beta2-36ubuntu3.8) xenial; urgency=medium

  * debian/patches/support_initrd-less_boot.patch: Added knobs to allow
    non-initrd boot config. Thanks Chris Glass! (LP: #1640878)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 01 Mar 2017 12:36:16 -0500

grub2 (2.02~beta2-36ubuntu3.7) xenial; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * Disable os-prober for ppc64el on the PowerNV platform, to reduce the
    number of entries/clutter from other OSes in Petitboot (LP: #1447500)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 11 Jan 2017 19:07:05 -0500

grub2 (2.02~beta2-36ubuntu3.6) xenial; urgency=medium

  * Fix support for IPv6 PXE booting under UEFI: (LP: #1229458)
    - grub_add_grub_env_set_net_property.patch: add grub_env_set_net_property.
    - misc-fix-invalid-char-strtol.patch: fix strto*l methods invalid chars.
    - net_read_bracketed_ipv6_addr.patch: read bracketed IPv6 addresses.
    - bootp_new_net_bootp6_command.patch: add new bootp6 commands.
    - efinet_uefi_ipv6_pxe_support.patch: teach efinet to allow bootp6.
    - bootp_process_dhcpack_http_boot.patch: process DHCPACK, support HTTP.
    - efinet_set_network_from_uefi_devpath.patch: configure network from the
      devpath provided by the UEFI firmware.
    - efinet_set_dns_from_uefi_proto.patch: set DNS nameservers and search
      domains from the UEFI protocol. 
  * Fix booting on Hyper-V gen 2 VMs due to the lack of PIT there; we can deal
    with this by using other timers when PIT aren't available. (LP: #1519836)
    - debian/patches/git_tsc_use_alt_delay_sources_d43a5ee6.patch
    - debian/patches/git_split_pmtimer_wait_tsc_d9a3bfea.patch
    - debian/patches/git_fix_tsc_calibration_pit_a03c1034.patch

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 15 Sep 2016 13:56:55 -0400

grub2 (2.02~beta2-36ubuntu3.3) xenial; urgency=medium

  * debian/patches/ip6_send_router_solicitation_7c4b6b7b.patch: handle long
    RA intervals by explicitly sending a SOLICIT.
  * debian/patches/ip6_fix_routing_eb9f401f.patch: fix IPv6 routing; we should
    be able to talk to things outside of link-local addresses; to do this,
    allow specifying a gateway and interface. (LP: #1229458)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 03 Aug 2016 16:46:41 -0400

grub2 (2.02~beta2-36ubuntu3.2) xenial; urgency=medium

  * Add loopback and squash4 modules to the signed EFI images.  LP: #1604499.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Jul 2016 15:29:24 -0700

grub2 (2.02~beta2-36ubuntu3.1) xenial; urgency=medium

  * debian/postinst.in: replace setup_mok_validation with a call to
    update-secureboot-policy, a script shipped by shim-signed.
    (LP: #1574727)
  * debian/control: drop Depends on mokutil, we're not calling it directly.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 20 May 2016 15:04:00 -0400
