## grub2 2.02~beta3

=== debian/changelog ===
grub2 (2.02~beta3-5) unstable; urgency=medium

  [ Steve McIntyre ]
  * Make grub-install check for errors from efibootmgr (closes: #853234).
    There are probably still underlying issues in other similar reported
    bugs, but they're more effectively tracked elsewhere (e.g. efibootmgr)
    at this point (closes: #756253, #852513).

  [ Debconf translations ]
  * [ug] Uyghur (Abduqadir Abliz).
  * [es] Spanish (Manuel "Venturi" Porras Peralta; closes: #852977).

 -- Colin Watson <cjwatson@debian.org>  Sat, 11 Feb 2017 15:09:19 +0000

grub2 (2.02~beta3-4) unstable; urgency=medium

  [ Colin Watson ]
  * Drop build-dependency on libxen-dev, unnecessary now that upstream has
    taken a copy of the necessary public headers.
  * Ensure that build-efi-images has a suitable PATH for running mkfs.msdos
    (thanks, Luca Boccassi; closes: #852001).

  [ dann frazier ]
  * Add grub2/update_nvram template to allow users to disable NVRAM
    updates during package upgrades (LP: #1642298).

  [ Debconf translations ]
  * [ro] Romanian (Andrei POPESCU).
  * [kk] Kazakh (Baurzhan Muftakhidinov).
  * [lt] Lithuanian (Rimas Kudelis).
  * [th] Thai (Theppitak Karoonboonyanan).
  * [sl] Slovenian (Vanja Cvelbar).
  * [pl] Polish (Łukasz Dulny).
  * [eu] Basque (Iñaki Larrañaga Murgoitio; closes: #851981).
  * [bg] Bulgarian (Damyan Ivanov; closes: #852024).
  * [de] German (Helge Kreutzmann; closes: #852027).
  * [vi] Vietnamese (Trần Ngọc Quân).
  * [ko] Korean (Changwoo Ryu; closes: #852061).
  * [ru] Russian (Yuri Kozlov; closes: #852064).
  * [tr] Turkish (Mert Dirik).
  * [it] Italian (Luca Monducci; closes: #852073).
  * [cs] Czech (Miroslav Kure; closes: #852189).
  * [be] Belarusian (Viktar Siarheichyk; closes: #852286).
  * [eo] Esperanto (Felipe Castro).
  * [uk] Ukrainian (Yatsenko Alexandr).
  * [pt_BR] Brazilian Portuguese (Adriano Rafael Gomes; closes: #852325).
  * [hr] Croatian (Tomislav Krznar).
  * [ca] Catalan (Innocent De Marchi; closes: #852331).
  * [fr] French (Baptiste Jammet; closes: #852341).
  * [da] Danish (Joe Hansen; closes: #852349).
  * [nl] Dutch (Frans Spiesschaert; closes: #852403).

 -- Colin Watson <cjwatson@debian.org>  Tue, 24 Jan 2017 11:39:45 +0000

grub2 (2.02~beta3-3) unstable; urgency=medium

  [ Chad MILLER ]
  * Signal to zpool that it should emit full names of constituent devices
    (closes: #824974, LP: #1527727).

  [ Mathieu Trudel-Lapierre ]
  * Fix support for IPv6 PXE booting under UEFI (LP: #1229458):
    - misc-fix-invalid-char-strtol.patch: fix strto*l methods invalid chars.
    - net_read_bracketed_ipv6_addr.patch: read bracketed IPv6 addresses.
    - bootp_new_net_bootp6_command.patch: add new bootp6 commands.
    - efinet_uefi_ipv6_pxe_support.patch: teach efinet to allow bootp6.
    - bootp_process_dhcpack_http_boot.patch: process DHCPACK, support HTTP.
    - efinet_set_network_from_uefi_devpath.patch: configure network from the
      devpath provided by the UEFI firmware.
    - efinet_set_dns_from_uefi_proto.patch: set DNS nameservers and search
      domains from the UEFI protocol.
  * debian/patches/install_signed.patch: update patch for the new names of
    the EFI binaries from shim.
  * debian/control: Breaks shim (<< 0.9+1474479173.6c180c6-0ubuntu1~) due to
    the renamed binaries in the new shim.
  * debian/postinst.in: call on to update-secureboot-policy on configure to
    make sure users can disable shim validation if necessary. 
  * debian/build-efi-images: add loopback and squash4 modules to the signed
    EFI images.

 -- Colin Watson <cjwatson@debian.org>  Tue, 01 Nov 2016 11:10:52 +0000

grub2 (2.02~beta3-2) unstable; urgency=medium

  * debian/watch: Switch URL scheme to HTTP.
  * Fix operator precedence in GRUB_DEVICE UUID tests (closes: #841680,
    #841741).

 -- Colin Watson <cjwatson@debian.org>  Mon, 31 Oct 2016 10:24:02 +0000

grub2 (2.02~beta3-1) unstable; urgency=medium

  [ Colin Watson ]
  * New upstream beta release.
  * syslinux_test: Fix out-of-tree build handling.
  * Drop "grub-shell: Pass -no-pad to xorriso when building floppy images".
    The floppy images built by grub-shell are no longer over the floppy
    limit, and this patch now itself causes fddboot_test failures.
  * Build with GCC 6 (closes: #835964).
  * linuxefi.patch: Adjust for libgcc removal.
  * Apply openSUSE patch to accept empty modules for now so that Xen builds
    work.

  [ Debconf translations ]
  * [ja] Japanese (Takuma Yamada; closes: #815203, #817084).

  [ Martin Pitt ]
  * debian/grub-common.init: Don't source /lib/init/vars.sh, we don't depend
    on initscripts (and don't want to). There is no reason why we would not
    use the LSB log_action_msg in non-verbose (default) mode, most other
    packages use it unconditionally (closes: #824875, LP: #1584134).

  [ Steve Beattie ]
  * debian/rules: Disable PIE builds for GRUB modules (closes: #837493).

 -- Colin Watson <cjwatson@debian.org>  Sun, 16 Oct 2016 10:46:46 +0100
