=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: grub2
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
+Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
 Uploaders: Felix Zielcke <fzielcke@z-51.de>, Jordi Mallach <jordi@debian.org>, Colin Watson <cjwatson@debian.org>, Ian Campbell <ijc@debian.org>
 Build-Depends: debhelper (>= 7.4.2~),
  patchutils,
@@ -14,8 +13,8 @@
  po-debconf,
  help2man,
  texinfo,
- gcc-5,
- gcc-5-multilib [i386 kopensolaris-i386 any-amd64 any-ppc64 any-sparc],
+ gcc-6,
+ gcc-6-multilib [i386 kopensolaris-i386 any-amd64 any-ppc64 any-sparc],
  xfonts-unifont,
  libfreetype6-dev,
  gettext,
@@ -32,7 +31,6 @@
  dosfstools [amd64 arm64],
  mtools [amd64 arm64],
  wamerican,
- libxen-dev [i386 amd64],
  libparted-dev [any-ppc64el],
 Build-Conflicts: autoconf2.13, libzfs-dev, libnvpair-dev
 Standards-Version: 3.9.6
@@ -246,3 +244,5 @@
 Architecture: any-i386 any-amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}, grub-common (= ${binary:Version}), efibootmgr [linux-any]
 Replaces: grub2 (<< ${source:Version}), grub-common (<= 1.97~beta2-1), grub-efi, grub-efi-ia32 (<< 1.99-1)
+Multi-Arch: foreign
+Description: GRand Unified Bootloader, version 2 (EFI-IA32 binaries)
